WorkItems resource
Developing with the CLM API is only available for CLM customers with a production account. To purchase a plan to gain access to the CLM API, contact Docusign Sales.
Methods supported
| Method | Description |
|---|---|
| Get | GET /v2/{accountId}/workitems/{id}Get a work item |
| GetDocuments | GET /v2/{accountId}/workitems/{id}/documentsGet the documents of a work item |
| Patch | PATCH /v2/{accountId}/workitems/{id}Update a work item |
| PatchAssignment | PATCH /v2/{accountId}/workitems/{id}/assignUpdate a work item assignment |
| PatchUnassignment | PATCH /v2/{accountId}/workitems/{id}/unassignUpdate a work item to be unassigned |
| Put | PUT /v2/{accountId}/workitems/{id}Update a work item |
WorkItems properties
| Property | Type | Description |
|---|---|---|
AssignDate | string (date-time) | Date and time this work item was assigned to a user. Sortable |
Assignee | User | User to whom this work item is assigned |
AssigneeInstructions | string | Instructions given by the designer of this workflow to the assignee to complete this work item |
CreatedDate | string (date-time) | Date and time that the work item was created. Sortable |
Documents | ApiCollection_Document_ | Collection of documents associated with this work item |
DueDate | string (date-time) | Date the external review is due |
Href | string | Uri where the object can be retrieved. |
Name | string | Name of the work item. Filterable and sortable |
Selected | WorkItemSelection | Populate this property based on instructions using option(s) from the Selections property to complete the work item |
Selections | WorkItemSelection | List of all possible choices that can be used to complete the work item. Used in combination with the Selected property |
Type | string | Type of the field |
Workflow | Workflow | The workflow that contains this work item |
WorkItemUrl | string | Link to work item in the workflow inbox. |